.footer {
  background-color: var(--color-dark);
  font-size: 13px;
  line-height: 16px;
  padding: 24px 0;
  position: relative;
  z-index: 10;
  color: var(--color-white);
}

.content-wrap {
  --page-margin: 80px;
  max-width: 1440px;
  padding-left: var(--page-margin);
  padding-right: var(--page-margin);
  margin-left: auto;
  margin-right: auto;
}

.footer__grid {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer__col img {
  width: 120px;
}

.footer__text {
  margin: 12px 0 0 0;
}

.footer__col:nth-child(2) {
  text-align: right;
  margin-top: auto;
}

.footer__col a {
  display: block;
  color: inherit;
  text-decoration: none;
}

.footer__col a:not(:first-child) {
  margin: 12px 0 0 0;
}

.footer__mobile-info {
  display: none;
}

@media screen and (max-width: 1450px) {
  .content-wrap {
    --page-margin: 40px;
  }
}

@media screen and (max-width: 750px) {
  .content-wrap {
    --page-margin: 20px;
  }

  .footer {
    padding: 24px 0;
    z-index: 10;
    position: relative;
  }

  .footer__grid {
    display: block;
  }

  .footer__col img {
    display: flex;
    -ms-grid-row-align: center;
    align-self: center;
    margin: 0;
  }

  .footer__col {
    text-align: center;
  }

  .footer__text {
    display: none;
  }

  .footer__col:nth-child(2) {
    text-align: left;
    margin: 0;
  }

  .footer__col:nth-child(2) a {
    display: block;
    padding: 8px 0;
  }

  .footer__col a:not(:first-child) {
    margin: 0;
  }

  .footer__mobile-info {
    display: block;
    margin: 16px 0 0 0;
  }

  .footer .footer__logo {
    margin-bottom: 24px;
  }
}
